全部产品

概述

在前端页面中集成到智能验证接入代码后,您需要在对应的服务器端集成智能验证服务端SDK。

前提条件

已为您的阿里云账号创建AccessKey。有关创建AccessKey的详细内容,请参见创建AccessKey

说明

禁止直接使用主账号AccessKey,因为主账号AccessKey一旦泄露将威胁您所有云资源的安全。请使用RAM子账号AccessKey,有效降低AccessKey泄露的风险。使用阿里云验证码,您需要为子账号授予阿里云验证码权限(

AliyunYundunAFSFullAccess)。

服务端代码集成

完成以下操作,在不同开发环境中集成对应版本的智能验证服务端SDK代码。

  1. 根据您服务端的开发环境,在阿里云验证码控制台相应服务配置的系统代码集成&测试页面,下载对应语言版本的服务端SDK包。

    开发环境(语言版本)

    服务端SDK包版本要求

    JAVA

    J2SE Development Kit (JDK)1.5或以上版本

    .NET

    .NET Framework 4.0或以上版本

    PHP

    PHP 5.3及以上版本

    Python

    Python 2.7及以上版本

    说明

    目前,智能验证服务端代码集成仅支持JAVA.NETPHPPython类型的SDK,其他语言版本的SDK暂不支持。如果需要集成其他语言版本的SDK,可以通过调用OpenAPI 接口AuthenticateSig来实现。详细操作请参见Web/HTML5业务类型服务API

  2. 解压SDK包,并加载到您的服务端工程中。

  3. 参考对应语言的服务端代码示例,开发前端页面请求的处理类代码。

    说明

    将示例代码中的YOUR ACCESS_KEY替换成您创建的阿里云AccessKey ID,将YOUR ACCESS_SECRET替换成AccessKey Secret。

  4. 参考对应语言的服务带代码示例,对智能验证对象的运行结果进行处理。

    说明

    在开发运行结果处理时,请对服务端出现的错误进行兼容处理。

相关文档

各开发环境对应的服务端SDK具体集成方法,请参见以下相关文档: